package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.CabPush;

public interface CabPushMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CabPush record);

    int insertSelective(CabPush record);

    CabPush selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CabPush record);

    int updateByPrimaryKey(CabPush record);
    
    List<CabPush> getList(@Param("content")String content,@Param("limit")Long limit,@Param("start")Long start);
    
    long getCount(@Param("content")String content);

    int changeStatus(Integer id);
}